package com.aucma.dms.mapper;

import com.aucma.dms.domain.DmsRepairProject;

import java.util.List;

/**
 * 维修工程明细Mapper接口
 *
 * @author Cascade AI
 * @date 2025-01-10
 */
public interface DmsRepairProjectMapper {
    
    /**
     * 查询维修工程明细
     *
     * @param projectId 维修工程明细主键
     * @return 维修工程明细
     */
    DmsRepairProject selectDmsRepairProjectByProjectId(Long projectId);

    /**
     * 查询维修工程明细列表
     *
     * @param dmsRepairProject 维修工程明细
     * @return 维修工程明细集合
     */
    List<DmsRepairProject> selectDmsRepairProjectList(DmsRepairProject dmsRepairProject);

    /**
     * 新增维修工程明细
     *
     * @param dmsRepairProject 维修工程明细
     * @return 结果
     */
    int insertDmsRepairProject(DmsRepairProject dmsRepairProject);

    /**
     * 修改维修工程明细
     *
     * @param dmsRepairProject 维修工程明细
     * @return 结果
     */
    int updateDmsRepairProject(DmsRepairProject dmsRepairProject);

    /**
     * 删除维修工程明细
     *
     * @param projectId 维修工程明细主键
     * @return 结果
     */
    int deleteDmsRepairProjectByProjectId(Long projectId);

    /**
     * 批量删除维修工程明细
     *
     * @param projectIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsRepairProjectByProjectIds(Long[] projectIds);

    /**
     * 根据工单ID删除维修工程明细
     *
     * @param workOrderId 工单ID
     * @return 结果
     */
    int deleteDmsRepairProjectByWorkOrderId(Long workOrderId);
}
